diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
index 3b71232..4ec0f87 100644
--- a/src/backend/postmaster/autovacuum.c
+++ b/src/backend/postmaster/autovacuum.c
@@ -656,6 +656,12 @@ AutoVacLauncherMain(int argc, char *argv[])
 
 		can_launch = (AutoVacuumShmem->av_freeWorkers != NULL);
 
+		if (!can_launch)
+			ereport(LOG,
+					(errmsg("maximum number of autovacuum workers reached"),
+					 errhint("Consider increasing autovacuum_max_workers (currently %d).",
+						 	autovacuum_max_workers)));
+
 		if (AutoVacuumShmem->av_startingWorker != NULL)
 		{
 			int			waittime;
